Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.xml.xpath
Class FunctionNameToken

    java.lang.Object
      com.novell.xml.xpath.Token
          com.novell.xml.xpath.FunctionNameToken

    public class FunctionNameToken

extends Token

Class that represents an XPath expression-language function call token.

See Also:
  `Scanner`

Field Summary

Fields inherited from class com.novell.xml.xpath.Token
`AT, AXIS_NAME, COLON_COLON, COMMA, DOT, DOT_DOT, FUNCTION_NAME, LEFT_BRACKET, LEFT_PAREN, LITERAL, MAX_TYPE, NODE_TYPE, NOT_A_TOKEN, NUMBER, OPERATOR, RIGHT_BRACKET, RIGHT_PAREN, VARIABLE_REF, WILDCARD_NAME`

Constructor Summary
`FunctionNameToken(String prefix, String localPart)` Create a token representing a call to the function name passed

Method Summary
`boolean` | `equals(Token rhs)` Compare this Token to passed Token
`String` | `getLocalPart()` Return local part of function name
`String` | `getPrefix()` Return namespace prefix of function name
`String` | `toString()` Return text representing this FunctionNameToken

Methods inherited from class com.novell.xml.xpath.Token
`dump, getType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FunctionNameToken

    public FunctionNameToken(String prefix,
                             String localPart)

  Create a token representing a call to the function name passed

  Parameters:
    `prefix` - Namespace prefix string
    `localPart` - local-part name string
  See Also:
    XML Names

Method Detail

### equals

    public boolean equals(Token rhs)

  Compare this Token to passed Token

  Overrides:
    `equals` in class `Token`
  Parameters:
    `rhs` - Token to compare against
  Returns:
    true if this Token is equal to rhs Token

### getPrefix

    public String getPrefix()

  Return namespace prefix of function name

  Returns:
    Prefix string

### getLocalPart

    public String getLocalPart()

  Return local part of function name

  Returns:
    Local name

### toString

    public String toString()

  Return text representing this FunctionNameToken

  Overrides:
    `toString` in class `Token`
  Returns:
    String representing this Token

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD